Bug 855980 - Oracle plugin does not provide metrics for ASM Disk Groups
Oracle plugin does not provide metrics for ASM Disk Groups
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 16:19 EDT by Richard Hensman
Modified: 2013-09-01 06:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:02:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
I have extended the RHQ Oracle Plugin so that it display metrics for ASM Disk Groups. Please find patch attached (12.82 KB, application/octet-stream)
2012-09-10 16:21 EDT, Richard Hensman
no flags Details
Oracle ASM code formatted correctly as per RHQ code standards (9.06 KB, application/octet-stream)
2012-09-12 17:07 EDT, Richard Hensman
no flags Details

  None (edit)
Description Richard Hensman 2012-09-10 16:19:00 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard Hensman 2012-09-10 16:21:04 EDT
Created attachment 611563 [details]
I have extended the RHQ Oracle Plugin so that it display metrics for ASM Disk Groups. Please find patch attached
Comment 2 John Mazzitelli 2012-09-10 17:28:54 EDT
Richard, I committed.

Please note: when you create bugzilla issues, please either enter data in the description fields found in the template text provided by default in the description field or remove the template text. I see nothing but the template text in your description with no actual information in there.

Also, when you provide patches, can you make sure the format is closer to the way RHQ source is formatted? Specifically, no tabs in source and indents are to be 4-spaces (your OracleAsmDiskGroupComponent has tabs in it). I committed it anyway, but just keep this in mind in the future.

The git commit to master is: fadd80c00b33dc206e751cfee6473322a831eb35

Thanks.
Comment 3 Richard Hensman 2012-09-12 17:07:17 EDT
Created attachment 612280 [details]
Oracle ASM code formatted correctly as per RHQ code standards
Comment 4 Heiko W. Rupp 2013-09-01 06:02:09 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.